<?php

header("Access-Control-Allow-Origin: *");
header("Access-Control-Allow-Methods: GET, POST, OPTIONS");
header("Access-Control-Allow-Headers: Content-Type, Authorization");

// Configuración del servidor para mostrar errores
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

$directoryPath = realpath(__DIR__ . '/../../assets/cstimage') . '/';

// Ruta al directorio que deseas listar
//$directoryPath = '/var/www/vhosts/cst.cat/subdomains/pefir/httpdocs/assets/cstimage'; // Ajusta esta ruta según sea necesario

// Verificar si el directorio existe y es accesible
if (!is_dir($directoryPath)) {
    http_response_code(400);
    echo json_encode(array("error" => "El directorio no existe o no es accesible."));
    exit;
}

// Obtener la lista de archivos en el directorio
$files = scandir($directoryPath);
if ($files === false) {
    http_response_code(500);
    echo json_encode(array("error" => "Error al leer el directorio."));
    exit;
}

// Filtrar "." y ".." del array de archivos
$files = array_diff($files, array('.', '..'));

// Crear un array asociativo con la lista de archivos
$fileList = array('files' => array_values($files));

// Configurar la respuesta HTTP para devolver JSON
header('Content-Type: application/json');

// Devolver la lista de archivos en formato JSON
echo json_encode($fileList);
?>